> ## Documentation Index
> Fetch the complete documentation index at: https://docs.healthharbor.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dental Inquiries



## OpenAPI

````yaml get /api/v0/dental/inquiries
openapi: 3.1.0
info:
  title: Health Harbor
  description: >+

    Health Harbor's API handles calls to insurance for your providers so you
    don't have to.


    This simple API supports a few operations:

    * **Create an inquiry** to call insurance for a provider.

    * **Read an inquiry** to get the status and results for a previously
    submitted inquiry.


    Each operation is supported in bulk or individually. In addition to typical
    patient and practice information needed to complete an inquiry, each
    operation also supports:

    * an 'external_id' parameter which you can define and pass in with your
    creation request. This is useful for tracking a specific subgroup of
    inquiries. For instance, you can assign a unique external id to all
    inquiries for a specific provider on your platform.


    For example, the most common use case is to request benefits for certain
    procedure codes for a patient. You can do this by creating an inquiry with
    the patient's insurance information, the provider's information, and the
    procedure codes you want to check along with CODE_LOOKUP_BENEFITS as the
    query. We will then check benefits for those procedure codes and return the
    results to you.


    We've also started creating customized queries for our customers so they can
    specify certain follow-up questions or specific information they want
    outside the scope of a typical benefits request. Contact
    alan@healthharbor.co, and we'll set one up for you.

  termsOfService: >-
    https://docs.google.com/document/d/1sOPgtPktx4YWc-p5YXWIztGEWusDG4wsP_txWhjpwNw/edit?usp=sharing
  contact:
    name: Support
    email: support@healthharbor.co
  version: 0.1.0
servers: []
security: []
paths:
  /api/v0/dental/inquiries:
    get:
      summary: Get Dental Inquiries
      operationId: get_dental_inquiries_api_v0_dental_inquiries_get
      parameters:
        - required: false
          schema:
            type: string
            title: External Id
          name: external_id
          in: query
        - required: false
          schema:
            type: integer
            title: Limit
            default: 200
          name: limit
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ExternalDentalInquiry'
                type: array
                title: Response Get Dental Inquiries Api V0 Dental Inquiries Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    ExternalDentalInquiry:
      properties:
        id:
          type: string
          title: Id
          description: unique generated (uuid4) id for the inquiry
        status:
          allOf:
            - $ref: '#/components/schemas/ExternalInquiryStatus'
          description: status of the inquiry
          examples:
            - SUCCESS
        creation_ts:
          type: string
          format: date-time
          title: Creation Ts
          description: timestamp of when the inquiry was created
          examples:
            - '2020-01-01T00:00:00.000000Z'
        summary:
          type: string
          title: Summary
          description: summary of the call results
          examples:
            - Benefits retrieved successfully.
        results:
          allOf:
            - $ref: '#/components/schemas/ExternalDentalEligibilityQueryResults'
          title: Results
          description: The output from the call containing the benefits results.
          examples: []
        request:
          allOf:
            - $ref: '#/components/schemas/ExternalDentalInquiryRequest'
          title: Request
          description: The request that was used to create the inquiry.
      type: object
      required:
        - id
        - status
        - creation_ts
        - request
      title: ExternalDentalInquiry
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExternalInquiryStatus:
      type: string
      enum:
        - SCHEDULED
        - IN_PROGRESS
        - SUCCESS
        - UNSUCCESSFUL
        - CANCELLED
        - UNKNOWN
      title: ExternalInquiryStatus
      description: An enumeration.
    ExternalDentalEligibilityQueryResults:
      properties:
        call_details:
          items:
            $ref: '#/components/schemas/CallDetails'
          type: array
          title: Call Details
          description: >-
            The details of the placed calls including the call time in iso
            format, representative name, reference number, and transcript.
          examples:
            - - call_end_time: '2024-03-01T06:00:00.0000Z'
                representative_name: Deborah M
                reference_number: '2812129'
                call_recording_url: https://www.google.com/voice_recording.wav
                transcript: ...
        plan_information:
          allOf:
            - $ref: '#/components/schemas/PlanInformation'
          title: Plan Information
          description: >-
            The plan information for the patient including the plan type and
            effective date. Dates will be provided in MM-DD-YYYY format. Fields
            will only be included if applicable, for example, when the plan is
            not active, no other information will be provided.
          examples:
            - is_active: true
              plan_type: PPO
              effective_date: 10-01-2020
              termination_date: 10-31-2021
              is_calendar_year_plan: true
              is_provider_in_network: true
              is_primary_insurance: true
        maximums:
          allOf:
            - $ref: '#/components/schemas/Maximums'
          title: Maximums
          description: >-
            The maximums for the patient including the individual and family
            deductible and any annual coverage limits. Fields will only be
            included if applicable, for example, on individual plans, family
            information will not be available.
          examples:
            - individual_deductible: '100'
              individual_deductible_used: '80'
              family_deductible: '200'
              family_deductible_used: '100'
              coverage_limit: '1000'
              coverage_limit_remaining: '800'
              orthodontics_coverage_limit: '1500'
        treatment_history:
          additionalProperties:
            items:
              $ref: '#/components/schemas/ExternalDentalTreatmentHistoryItem'
            type: array
          type: object
          title: Treatment History
          description: >-
            The treatment history for the patient. The keys are dates in
            MM-DD-YYYY format and the values are a list of procedure codes
            performed on that date. See examples for more information.
          examples:
            - 10-01-2020:
                - procedure_code: D1110
                  tooth_numbers:
                    - '17'
                  surfaces:
                    - occlusal
                  quadrant_numbers:
                    - 10
                - procedure_code: D1120
                  tooth_numbers:
                    - A
                  surfaces:
                    - distal
                  quadrant_numbers:
                    - 20
        procedure_classes:
          additionalProperties:
            type: object
          type: object
          title: Procedure Classes
          description: >-
            A dict that maps from the different classes of procedures to their
            benefits. If a class is not covered, it may not have any other
            fields. See examples for more information.
          examples:
            - DIAGNOSTIC:
                is_covered: true
                coverage_percentage: 100
              IMPLANTS:
                is_covered: false
        procedure_codes:
          items:
            items:
              - $ref: '#/components/schemas/ProcedureCodeInfo'
              - type: object
            type: array
            maxItems: 2
            minItems: 2
          type: array
          title: Procedure Codes
          description: >-
            A list that contains information from the different procedure codes
            and the requested benefits information for that code. See examples
            for more information.
          examples:
            - - - procedure_code: D1110
                  procedure_name: Prophylaxis
                - is_covered: true
                  is_prior_auth_required: true
                  prior_auth_info: Call United Healthcare at 555-123-1234
                  coverage_percentage: 100
                  frequency_limitations: 1 every 6 floating months
                  more_info: ''
              - - procedure_code: D1206
                  procedure_name: Fluoride
                - is_covered: true
                  is_prior_auth_required: false
                  age_limit: 16
                  coverage_percentage: 100
                  frequency_limitations: 1 every calendar year
                  more_info: ''
              - - procedure_code: D6058
                  procedure_name: Crowns
                - is_covered: true
                  is_prior_auth_required: false
                  is_downgraded: true
                  coverage_percentage: 50
                  downgraded_info: Downgraded to D6063 on molars.
                  frequency_limitations: 1 every 5 years
                  more_info: >-
                    Prior authorization is not required, however,
                    predetermination is highly recommended.
              - - procedure_code: D0364
                  procedure_name: CT Scan
                - is_covered: false
                  more_info: ''
        extra_info:
          allOf:
            - $ref: '#/components/schemas/ExtraDentalInfo'
          title: Extra Info
          description: >-
            Extra information about the patient's dental plan. Fields are
            omitted if not applicable.
          examples:
            - waiting_periods: None
              deductible_applies_to_preventive: false
              preventative_applies_to_maximum: true
              missing_tooth_clause: coverage reduction of 50% for first 12 months
              has_pending_claims: true
      type: object
      required:
        - call_details
      title: ExternalDentalEligibilityQueryResults
    ExternalDentalInquiryRequest:
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/ExternalInquiryType'
          description: type of the inquiry
          examples:
            - BENEFITS
            - CLAIMS_STATUS
        desired_completion_date:
          type: string
          title: Desired Completion Date
          description: >-
            The requested completion date of the inquiry in MM-DD-YYYY format.
            Calls will typically be completed by the morning of the requested
            completion date, but in some cases may be completed earlier.
          examples:
            - 03-19-2024
        patient_name:
          type: string
          title: Patient Name
          description: name of the patient
          examples:
            - Alex Martin
        dob:
          type: string
          title: Dob
          description: date of birth of the patient in MM-DD-YYYY format
          examples:
            - 01-31-2020
        member_id:
          type: string
          title: Member Id
          description: member id of the patient
          examples:
            - '123456789'
        group_id:
          type: string
          title: Group Id
          description: group id of the patient
          examples:
            - '123456'
        insurance_in_network:
          type: boolean
          title: Insurance In Network
          description: >-
            whether or not the provider is in-network. If it is not known, leave
            this field blank and it will be determined.
        npi:
          type: string
          title: Npi
          description: >-
            (deprecated, use billing_npi and rendering_npi instead) Ten digit
            NPI of the provider
          examples:
            - '1234567890'
        billing_npi:
          type: string
          title: Billing Npi
          description: Ten digit NPI of the billing provider
          examples:
            - '1234567890'
        rendering_npi:
          type: string
          title: Rendering Npi
          description: Ten digit NPI of the rendering provider
          examples:
            - '1234567890'
        tax_id:
          type: string
          title: Tax Id
          description: Nine digit tax id of the provider
          examples:
            - '123456789'
        external_id:
          type: string
          title: External Id
          description: >-
            An identifier which you can define and pass in with your creation
            request. This is useful for tracking a specific subgroup of
            inquiries. For instance, you can assign a unique external id to all
            inquiries for a specific provider on your platform.
        practice_billing_address:
          type: string
          title: Practice Billing Address
          description: >-
            The billing address of the practice. If omitted, the address will be
            determined from the NPI.
          examples:
            - 123 Main St, New York, NY 10001
        diagnosis_codes:
          items:
            type: string
          type: array
          title: Diagnosis Codes
          description: >-
            Any diagnosis codes for the patient. If omitted, a general diagnosis
            code will be used.
          examples:
            - - F41.1
              - F42.23
        claims_date_of_service:
          type: string
          title: Claims Date Of Service
          description: >-
            The date of service for the claim in MM-DD-YYYY format. Only used
            for claims inquiries.
          examples:
            - 01-31-2020
        claim_number:
          type: string
          title: Claim Number
          description: >-
            The claim number for the inquiry if provided by the user. Only used
            for claims inquiries.
          examples:
            - '1234567890'
        additional_info:
          type: string
          title: Additional Info
          description: >-
            Any additional information about the inquiry that is not covered by
            the other fields. This can be used to pass in any additional
            information for the request. Please check with the Health Harbor
            team before using this field as it may not be incorporated into the
            inquiry unless we are already aware of it.
          examples:
            - >-
              The patient is on a Medicare plan and we need to know their
              secondary insurance benefits.
        call_script_id:
          type: string
          title: Call Script Id
          description: >-
            Optional ID of a call script belonging to your team. Use for
            eligibility/benefits inquiries to control which questions are asked.
            You can find call script IDs on the Accounts page in the dashboard.
            When provided, it must be a script your team created. For
            eligibility search, either benefits queries or this field may
            satisfy the requirement—see Health Harbor documentation.
          examples:
            - null
        insurance:
          allOf:
            - $ref: '#/components/schemas/ExternalDentalInsuranceProvider'
          description: The insurance provider for the patient.
          examples:
            - CIGNA
        benefits_query:
          items:
            $ref: '#/components/schemas/ExternalDentalEligibilitySearchQuery'
          type: array
          description: >-
            The benefits queries for the inquiry if provided by the user. Can be
            either a pre-defined set of questions (e.g. STANDARD for returning
            patients) or an ad-hoc defined set of codes.
          examples:
            - - CODE_LOOKUP_BENEFITS
            - - STANDARD
        benefits_codes:
          items:
            type: string
          type: array
          title: Benefits Codes
          description: >-
            Codes processed for a CODE_LOOKUP_BENEFITS or a
            CODE_LOOKUP_PRIOR_AUTH  benefits inquiry. The first character in the
            CDT codes (D) can be optionally omitted.
          examples:
            - - D1110
              - D1120
              - '1130'
        is_specialist:
          type: boolean
          title: Is Specialist
          description: >-
            The type of provider making the inquiry. If the provider is a
            specialist (e.g. periodontist, oral surgeon), set this to True. If
            the provider is a dentist, set this to False. Defaults to False if
            not provided.
          examples:
            - true
            - false
        insurance_payor_id:
          type: string
          title: Insurance Payor Id
          description: >-
            The payor id for the insurance. Usually five characters. For
            example, one payor id for Aetna is 60054.
          examples:
            - '60054'
      type: object
      required:
        - type
        - desired_completion_date
        - patient_name
        - dob
        - member_id
        - tax_id
      title: ExternalDentalInquiryRequest
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CallDetails:
      properties:
        call_end_time:
          type: string
          format: date-time
          title: Call End Time
        representative_name:
          type: string
          title: Representative Name
        reference_number:
          type: string
          title: Reference Number
        call_recording_url:
          type: string
          title: Call Recording Url
        call_transcript_url:
          type: string
          title: Call Transcript Url
        call_transcript:
          type: string
          title: Call Transcript
        custom_answers:
          additionalProperties:
            type: string
          type: object
          title: Custom Answers
      type: object
      required:
        - representative_name
        - reference_number
      title: CallDetails
    PlanInformation:
      properties:
        is_active:
          type: boolean
          title: Is Active
        plan_type:
          $ref: '#/components/schemas/PlanType'
        plan_name:
          type: string
          title: Plan Name
        effective_date:
          type: string
          format: date
          title: Effective Date
        termination_date:
          type: string
          format: date
          title: Termination Date
        is_calendar_year_plan:
          type: boolean
          title: Is Calendar Year Plan
        is_provider_in_network:
          type: boolean
          title: Is Provider In Network
        is_primary_insurance:
          type: boolean
          title: Is Primary Insurance
        is_provider_pcp:
          type: boolean
          title: Is Provider Pcp
        has_other_insurance:
          type: boolean
          title: Has Other Insurance
        is_self_funded:
          type: boolean
          title: Is Self Funded
        has_out_of_state_coverage:
          type: boolean
          title: Has Out Of State Coverage
        referral_required:
          type: boolean
          title: Referral Required
        referral_info:
          type: string
          title: Referral Info
        out_of_network_benefits:
          type: string
          title: Out Of Network Benefits
        custom_answers:
          additionalProperties:
            type: string
          type: object
          title: Custom Answers
      type: object
      title: PlanInformation
    Maximums:
      properties:
        name:
          type: string
          title: Name
        individual_deductible:
          type: number
          title: Individual Deductible
        individual_deductible_used:
          type: number
          title: Individual Deductible Used
        individual_deductible_resets_each_calendar_year:
          type: boolean
          title: Individual Deductible Resets Each Calendar Year
        individual_out_of_pocket_maximum:
          type: number
          title: Individual Out Of Pocket Maximum
        individual_out_of_pocket_maximum_used:
          type: number
          title: Individual Out Of Pocket Maximum Used
        family_deductible:
          type: number
          title: Family Deductible
        family_deductible_used:
          type: number
          title: Family Deductible Used
        family_out_of_pocket_maximum:
          type: number
          title: Family Out Of Pocket Maximum
        family_out_of_pocket_maximum_used:
          type: number
          title: Family Out Of Pocket Maximum Used
        coverage_limit:
          type: number
          title: Coverage Limit
        coverage_limit_remaining:
          type: number
          title: Coverage Limit Remaining
        orthodontic_deductible:
          type: number
          title: Orthodontic Deductible
        orthodontics_deductible_used:
          type: number
          title: Orthodontics Deductible Used
        orthodontics_coverage_limit:
          type: number
          title: Orthodontics Coverage Limit
        orthodontics_coverage_limit_remaining:
          type: number
          title: Orthodontics Coverage Limit Remaining
        orthodontics_lifetime_maximum:
          type: number
          title: Orthodontics Lifetime Maximum
        orthodontics_lifetime_maximum_used:
          type: number
          title: Orthodontics Lifetime Maximum Used
        orthodontics_maximum_benefits_per_case:
          type: number
          title: Orthodontics Maximum Benefits Per Case
        periodontic_maximum:
          type: string
          title: Periodontic Maximum
        periodontic_maximum_used:
          type: number
          title: Periodontic Maximum Used
        implant_maximum:
          type: string
          title: Implant Maximum
        implant_maximum_used:
          type: number
          title: Implant Maximum Used
        custom_answers:
          additionalProperties:
            type: string
          type: object
          title: Custom Answers
        deductible_remaining:
          type: number
          minimum: 0
          title: Deductible Remaining
          description: >-
            The amount of deductible remaining for the patient. Calculated as
            the minimum of the individual and family deductible remaining.
        out_of_pocket_maximum_remaining:
          type: number
          minimum: 0
          title: Out Of Pocket Maximum Remaining
          description: >-
            The amount of out of pocket maximum remaining for the patient.
            Calculated as the minimum of the individual and family out of pocket
            maximum remaining.
      type: object
      title: Maximums
    ExternalDentalTreatmentHistoryItem:
      properties:
        procedure_code:
          type: string
          title: Procedure Code
          description: 5 digit CDT code that refers to a procedure performed on a patient.
          examples:
            - D2140
        tooth_numbers:
          items:
            type: string
          type: array
          title: Tooth Numbers
          description: >-
            Integers from 1-32 that refers to particular teeth as designated by
            the ADA. For child teeth, the letters A-T will be used.
          examples:
            - - '15'
              - '17'
            - - A
              - G
              - T
        surfaces:
          items:
            type: string
          type: array
          title: Surfaces
          description: >-
            The surfaces for the tooth. Each surface applies to all the teeth in
            tooth_numbers. Surfaces are in {buccal, occlusal, distal, mesial,
            lingual, facial, incisal}. If the surface is not applicable, the
            field will be null.
          examples:
            - - occlusal
        quadrant_numbers:
          items:
            type: integer
          type: array
          title: Quadrant Numbers
          description: Integers in {10,20,30,40} that refer to a particular quadrant.
          examples:
            - - 10
      type: object
      required:
        - procedure_code
      title: ExternalDentalTreatmentHistoryItem
    ExtraDentalInfo:
      properties:
        waiting_periods:
          type: string
          title: Waiting Periods
        deductible_applies_to_preventive:
          type: boolean
          title: Deductible Applies To Preventive
        preventative_applies_to_maximum:
          type: boolean
          title: Preventative Applies To Maximum
        missing_tooth_clause:
          type: string
          title: Missing Tooth Clause
        has_pending_claims:
          type: boolean
          title: Has Pending Claims
        do_limited_and_routine_exam_share_frequencies:
          type: boolean
          title: Do Limited And Routine Exam Share Frequencies
        do_all_exams_share_frequencies:
          type: boolean
          title: Do All Exams Share Frequencies
        is_treatment_allowed_same_day_as_exam:
          type: boolean
          title: Is Treatment Allowed Same Day As Exam
        does_deductible_apply_to_xrays:
          type: boolean
          title: Does Deductible Apply To Xrays
        does_pano_share_frequency_with_fmx:
          type: boolean
          title: Does Pano Share Frequency With Fmx
        is_crown_claim_filed_on_seat_date:
          type: boolean
          title: Is Crown Claim Filed On Seat Date
        is_four_quads_one_day_okay_srp_4341:
          type: boolean
          title: Is Four Quads One Day Okay Srp 4341
        filing_deadline_days:
          type: integer
          title: Filing Deadline Days
        orthodontics_payment_frequency:
          type: string
          title: Orthodontics Payment Frequency
        orthodontics_age_limit:
          type: number
          title: Orthodontics Age Limit
        orthodontics_age_limit_applies_to:
          type: string
          title: Orthodontics Age Limit Applies To
        when_during_year_do_orthodontic_benefits_end:
          type: string
          title: When During Year Do Orthodontic Benefits End
        orthodontics_work_in_progress_covered:
          type: boolean
          title: Orthodontics Work In Progress Covered
        orthodontics_percentage_paid_at_banding:
          type: string
          title: Orthodontics Percentage Paid At Banding
        are_orthodontics_remaining_payments_automatic:
          type: boolean
          title: Are Orthodontics Remaining Payments Automatic
        orthodontics_codes_included_in_maximum:
          type: boolean
          title: Orthodontics Codes Included In Maximum
        are_orthodontic_records_billed_separately:
          type: boolean
          title: Are Orthodontic Records Billed Separately
        custom_answers:
          additionalProperties:
            type: string
          type: object
          title: Custom Answers
      type: object
      title: ExtraDentalInfo
    ExternalInquiryType:
      type: string
      enum:
        - CLAIMS_STATUS
        - BENEFITS
        - UNKNOWN
      title: ExternalInquiryType
      description: An enumeration.
    ExternalDentalInsuranceProvider:
      type: string
      enum:
        - AETNA
        - HEALTHPLEX
        - HUMANA
        - METLIFE
        - UNITED_HEALTHCARE
        - UNKNOWN
      title: ExternalDentalInsuranceProvider
      description: An enumeration.
    ExternalDentalEligibilitySearchQuery:
      type: string
      enum:
        - STANDARD
        - CODE_LOOKUP_BENEFITS
        - CODE_LOOKUP_FREQUENCIES
        - TREATMENT_HISTORY
        - DEDUCTIBLES_AND_MAXIMUMS
        - UNKNOWN
      title: ExternalDentalEligibilitySearchQuery
      description: An enumeration.
    PlanType:
      type: string
      enum:
        - HMO
        - PPO
        - POS
        - EPO
        - OAP
        - MEDICAID
        - HMO_POS
        - OTHER
      title: PlanType
      description: An enumeration.
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token
    HTTPBasic:
      type: http
      scheme: basic

````